
	ALIGN 256	
kick_sample
	include "samples/kick.asm"
kkhh_sample
	include "samples/kick_hihat.asm"
hiht_sample
	include "samples/hihat.asm"
snar_sample
	include "samples/snare.asm"
sample_data_end

kick = ( kick_sample >> 8 ) ;  4*2
kkhh = ( kkhh_sample >> 8 ) ;  4*2 
hiht = ( hiht_sample >> 8 ) ;  3
snar = ( snar_sample >> 8 ) ;  6*2

	ALIGN 256
	DB 0
	
DTEMPO = 6

xIntro1
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO * 2
	
	DB hiht, 03, DTEMPO * 2
	DB hiht, 03, DTEMPO * 2
	
	DB hiht, 03, DTEMPO * 2
	DB hiht, 03, DTEMPO * 2
	
	DB hiht, 03, DTEMPO * 2
	DB hiht, 03, DTEMPO * 2
	;
	DB 0

xIntro2
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO * 2
	
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO * 2
	
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO
	
	DB kick, 08, DTEMPO
	
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO * 2
	;
	DB 0

xBeat
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO
	DB kick, 08, DTEMPO
	DB snar, 12, DTEMPO * 2
	DB hiht, 03, DTEMPO
	DB kick, 08, DTEMPO
	;
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO
	DB kick, 08, DTEMPO
	DB snar, 12, DTEMPO * 2
	DB hiht, 03, DTEMPO
	DB snar, 12, DTEMPO
	;
	DB 0
	
xBeatFill
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO
	DB kick, 08, DTEMPO
	DB snar, 12, DTEMPO * 2
	DB hiht, 03, DTEMPO
	DB kick, 08, DTEMPO
	;
	DB kkhh, 08, DTEMPO * 2
	DB hiht, 03, DTEMPO
	DB snar, 12, DTEMPO
	DB snar, 12, DTEMPO * 2
	DB snar, 12, DTEMPO
	DB snar, 12, DTEMPO
	;
	DB 0
	
xEnd
	DB kkhh, 08, DTEMPO
	DB 0

	;ALIGN 256	
Orders
	DW xIntro1,xIntro1,xIntro2,xIntro2
	DW xBeat,xBeat,xBeat,xBeatFill
	DW xEnd
	;
	DW 0
